CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   Compile problem on 1.6-ext (http://www.cfd-online.com/Forums/openfoam/94184-compile-problem-1-6-ext.html)

Pekka November 8, 2011 12:58

Compile problem on 1.6-ext
 
Hello Foamers,

I come across this problem when I try to compile OF 1.6-ext a version which is released from the day 7.11.2011. I took the whole source code using git and made a clean compilation using system gcc 4.4.5-6. I note that triSurface is not compiling and then many other libraries do not compile either. The solution to this problem is to remove the lines

LIB_LIBS = \
-lmeshTools

from file: triSurface/make/options

Are there other reasons or solutions?

BR/Pekka

boger November 9, 2011 10:51

Can you enter "git log" and post the commit id from the top line?

boger November 9, 2011 11:00

Ah! Never mind, I see now where the lines were added. Can you attach the error messages that were generated when the compilation failed?

Pekka November 10, 2011 04:19

Unfortunately I deleted old logs. But now it is no longer a problem. It seems that it has already changed to source code.

BR/Pekka


All times are GMT -4. The time now is 04:20.